scroller {
    overflow: hidden;
    position: relative;
    z-index: 10;
}

scroller,
scroller .prev-next,
scroller .prev-next i,
scroller bullets {
    display: block;
}

scroller .prev-next,
scroller bullets {
    -webkit-user-select: none;
    user-select: none;
}

scroller .prev-next {
    z-index: 20;
}

scroller bullets,
scroller bullet,
scroller .prev-next.mini {
    height: 18px;
    line-height: 18px;
}

scroller bullets {
    bottom: 1px;
    position: absolute;
    text-align: center;
    vertical-align: bottom;
    width: 100%;
}

scroller bullets:before {
    background-color: #666666;
    content: " ";
    display: block;
    height: 3px;
    position: absolute;
    top: -2px;
    width: 0;
}

scroller bullets.progress:before {
    transition: width 4900ms linear; /* Slightly below setInterval value */
    width: 100%;
}

scroller bullet,
scroller .prev-next.mini i {
    display: inline-block;
    font-size: 13px;
    width: 13px;
}

scroller bullet .active,
scroller bullet .hover {
    display: none;
}

/* Prev/Next Full */
scroller .prev-next.full {
    font-size: 32px;
    height: 100%;
    opacity: 0.3;
    position: absolute;
    text-align: center;
    top: 0;
    width: 38px;
}

scroller .prev-next.full i {
    display: block;
    height: 32px;
    margin-top: -16px;
    position: relative;
    top: 50%;
    width: 100%;
}

scroller .prev-next.full:hover {
    cursor: pointer;
    opacity: 0.9;
}

scroller prev.full {
    left: 0;
}

scroller next.full {
    right: 0;
}

scroller prev.full:hover:before,
scroller next.full:hover:after {
    background-color: #333333;
    content: " ";
    display: inline-block;
    height: 100%;
    left: 0;
    opacity: 0.3;
    position: relative;
    top: 0;
    width: 100%;
}

scroller .prev-next.full:hover i {
    position: absolute;
}

/* Prev/Next Mini */
scroller .prev-next.mini {
    bottom: 0;
    position: absolute;
}

scroller prev.mini {
    left: 3px;
}

scroller next.mini {
    right: 3px;
}

scroller .prev-next.mini i:hover {
    color: #666666;
    cursor: pointer;
}

/* Bullet Hover */
scroller bullet:hover {
    cursor: pointer;
}

scroller bullet:hover .active,
scroller bullet:hover .inactive {
    display: none !important;
}

scroller bullet:hover .hover {
    color: #666666;
    display: inline-block;
}
